Split Forms and History engine prefs so each are able to be enabled independently
The "form autofill" work planned for  is going to add  new sync engines - one for  cards" and one for  information (user-facing names for these TBD).

UX has decided that "History" and "Form History" will be split in all parts of the UI (eg, in about:preferences#privacy, instead of "Firefox will remember your browsing, download, form and search history, and keep cookie ...", there will be "Firefox will remember your browsing, download, and keep cookie ..." and new options for the existing "form and search history" and the new  features.

They would also like a corresponding change for Sync prefs - "history" will be only browsing history (possibly with a user-facing string change), and there will be a new checkbox called "Forms" (exact string TBD) which will control the existing form history and the new  autofill history". (There will also be a new checkbox specifically for  but that will be a different bug.)

So tl;dr - we'll need a new preference specifically for forms (it is currently piggy-backed on the preference for history), which we can implement now. As the new sync engines are developed, they in-turn will be piggy-backed on the new "forms" preference. We'll obviously need to "migrate" the default value for this new forms preference based on the current value of the history pref. I believe no change will be needed to the "declined" logic, as the engines are already separate there.

Is there anything else I've forgotten?

cc: rnewman for awareness and to solicit general insights.
cc: Grisha and Steph as this may impact how mobile exposes these options, even before those platforms get the new features.
cc: rfkelly as a heads-up to expect an issue on the content-server to implement the above for the signup-flow, where these preferences are implemented on the web.
